### Hierarchy

- Assert

### Callable

- __call(expression: any, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:262

  #### Parameters

  - ##### expression: any

    Expression to test for truthiness.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

## Index

### Methods

- Throw
- approximately
- changes
- closeTo
- containsAllDeepKeys
- containsAllKeys
- decreases
- deepEqual
- deepInclude
- deepNestedInclude
- deepNestedPropertyVal
- deepOwnInclude
- deepProperty
- deepPropertyNotVal
- deepPropertyVal
- deepStrictEqual
- doesNotChange
- doesNotDecrease
- doesNotHaveAllDeepKeys
- doesNotHaveAllKeys
- doesNotHaveAnyDeepKeys
- doesNotHaveAnyKeys
- doesNotIncrease
- doesNotThrow
- equal
- exists
- extensible
- fail
- frozen
- hasAllDeepKeys
- hasAllKeys
- hasAnyDeepKeys
- hasAnyKeys
- ifError
- include
- includeDeepMembers
- includeDeepOrderedMembers
- includeMembers
- includeOrderedMembers
- increases
- instanceOf
- isAbove
- isArray
- isAtLeast
- isAtMost
- isBelow
- isBoolean
- isDefined
- isEmpty
- isExtensible
- isFalse
- isFrozen
- isFunction
- isNaN
- isNotArray
- isNotBoolean
- isNotEmpty
- isNotExtensible
- isNotFalse
- isNotFrozen
- isNotFunction
- isNotNaN
- isNotNull
- isNotNumber
- isNotObject
- isNotOk
- isNotSealed
- isNotString
- isNotTrue
- isNull
- isNumber
- isObject
- isOk
- isSealed
- isString
- isTrue
- isUndefined
- lengthOf
- match
- nestedInclude
- nestedProperty
- nestedPropertyVal
- notDeepEqual
- notDeepInclude
- notDeepNestedInclude
- notDeepNestedPropertyVal
- notDeepOwnInclude
- notDeepProperty
- notEqual
- notExists
- notExtensible
- notFrozen
- notInclude
- notIncludeDeepOrderedMembers
- notIncludeOrderedMembers
- notInstanceOf
- notMatch
- notNestedInclude
- notNestedProperty
- notNestedPropertyVal
- notOk
- notOwnInclude
- notProperty
- notSameDeepOrderedMembers
- notSameOrderedMembers
- notSealed
- notStrictEqual
- notTypeOf
- ok
- oneOf
- operator
- ownInclude
- property
- propertyNotVal
- propertyVal
- sameDeepMembers
- sameDeepOrderedMembers
- sameMembers
- sameOrderedMembers
- sealed
- strictEqual
- throw
- throws
- typeOf

## Methods

### Throw

- Throw(fn: Function, message?: undefined | string): void
- Throw(fn: Function, regExp: RegExp): void
- Throw(fn: Function, errType: Function, message?: undefined | string): void
- Throw(fn: Function, errType: Function, regExp: RegExp): void

- - Defined in node_modules/@types/chai/index.d.ts:1022

  Asserts that fn will throw an error.

  #### Parameters

  - ##### fn: Function

    Function that may throw.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

- - Defined in node_modules/@types/chai/index.d.ts:1031

  Asserts that function will throw an error with message matching regexp.

  #### Parameters

  - ##### fn: Function

    Function that may throw.

  - ##### regExp: RegExp

    Potential expected message match.

  #### Returns void

- - Defined in node_modules/@types/chai/index.d.ts:1040

  Asserts that function will throw an error that is an instance of constructor.

  #### Parameters

  - ##### fn: Function

    Function that may throw.

  - ##### errType: Function

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

- - Defined in node_modules/@types/chai/index.d.ts:1050

  Asserts that function will throw an error that is an instance of constructor and an error with message matching regexp.

  #### Parameters

  - ##### fn: Function

    Function that may throw.

  - ##### errType: Function

  - ##### regExp: RegExp

  #### Returns void

### approximately

- approximately(act: number, exp: number, delta: number, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1116

  Asserts that the target is equal to expected, to within a +/- delta range.

  #### Parameters

  - ##### act: number

  - ##### exp: number

  - ##### delta: number

    Maximum differenced between values.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### changes

- changes<T>(modifier: Function, object: T, property: string, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1267

  Asserts that a function changes the value of a property.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modifier: Function

    Function to run.

  - ##### object: T

    Container object.

  - ##### property: string

    Property of object expected to be modified.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### closeTo

- closeTo(actual: number, expected: number, delta: number, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1106

  Asserts that the target is equal to expected, to within a +/- delta range.

  #### Parameters

  - ##### actual: number

    Actual value

  - ##### expected: number

    Potential expected value.

  - ##### delta: number

    Maximum differenced between values.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### containsAllDeepKeys

- containsAllDeepKeys<T>(object: T, keys: Array<Object | string> | object, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1572

  Asserts that `object` contains all of the `keys` provided. Since Sets and Maps can have objects as keys you can use this assertion to perform a deep comparison. You can also provide a single object instead of a `keys` array and its keys will be used as the expected set of keys.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Object to test.

  - ##### keys: Array<Object | string> | object

    Keys to check

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### containsAllKeys

- containsAllKeys<T>(object: T, keys: Array<Object | string> | object, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1506

  Asserts that `object` has all of the `keys` provided but may have more keys not listed. You can also provide a single object instead of a `keys` array and its keys will be used as the expected set of keys.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Object to test.

  - ##### keys: Array<Object | string> | object

    Keys to check

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### decreases

- decreases<T>(modifier: Function, object: T, property: string, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1311

  Asserts that a function decreases an object property.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modifier: Function

    Function to run.

  - ##### object: T

    Container object.

  - ##### property: string

    Property of object expected to be decreased.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### deepEqual

- deepEqual<T>(actual: T, expected: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:365

  Asserts that actual is deeply equal (==) to expected.

  type

    T Type of the objects.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### actual: T

    Actual value.

  - ##### expected: T

    Potential expected value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### deepInclude

- deepInclude(haystack: string, needle: string, message?: undefined | string): void
- deepInclude<T>(haystack: any, needle: any, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:717

  Asserts that haystack includes needle. Can be used to assert the inclusion of a value in an array or a subset of properties in an object. Deep equality is used.

  #### Parameters

  - ##### haystack: string

    Container string.

  - ##### needle: string

    Potential expected substring of haystack.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

- - Defined in node_modules/@types/chai/index.d.ts:726

  Asserts that haystack includes needle. Can be used to assert the inclusion of a value in an array or a subset of properties in an object. Deep equality is used.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### haystack: any

  - ##### needle: any

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### deepNestedInclude

- deepNestedInclude(haystack: any, needle: any, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:780

  Asserts that ‘haystack’ includes ‘needle’. Can be used to assert the inclusion of a subset of properties in an object while checking for deep equality

  Enables the use of dot- and bracket-notation for referencing nested properties. ‘[]’ and ‘.’ in property names can be escaped using double backslashes.Asserts that ‘haystack’ includes ‘needle’. Can be used to assert the inclusion of a subset of properties in an object. Enables the use of dot- and bracket-notation for referencing nested properties. ‘[]’ and ‘.’ in property names can be escaped using double backslashes.

  #### Parameters

  - ##### haystack: any

  - ##### needle: any

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### deepNestedPropertyVal

- deepNestedPropertyVal<T>(object: T, property: string, value: any, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1659

  Asserts that object has a property named by property with a value given by value. property can use dot- and bracket-notation for nested reference. Uses a deep equality check.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Object to test.

  - ##### property: string

    Property to test.

  - ##### value: any

    Value to test.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### deepOwnInclude

- deepOwnInclude(haystack: any, needle: any, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:822

  Asserts that ‘haystack’ includes ‘needle’. Can be used to assert the inclusion of a subset of properties in an object while ignoring inherited properties and checking for deep

  #### Parameters

  - ##### haystack: any

  - ##### needle: any

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### deepProperty

- deepProperty<T>(object: T, property: string, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:880

  Asserts that object has a property named by property, which can be a string using dot- and bracket-notation for deep reference.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Container object.

  - ##### property: string

    Potential contained property of object.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### deepPropertyNotVal

- deepPropertyNotVal<T, V>(object: T, property: string, value: V, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:941

  Asserts that object does not have a property named by property, which can be a string using dot- and bracket-notation for deep reference.

  type

    T Type of object.

  type

    V Type of value.

  #### Type parameters

  - #### T

  - #### V

  #### Parameters

  - ##### object: T

    Container object.

  - ##### property: string

    Potential contained property of object.

  - ##### value: V

    Potential expected property value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### deepPropertyVal

- deepPropertyVal<T, V>(object: T, property: string, value: V, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:928

  Asserts that object has a property named by property, which can be a string using dot- and bracket-notation for deep reference.

  type

    T Type of object.

  type

    V Type of value.

  #### Type parameters

  - #### T

  - #### V

  #### Parameters

  - ##### object: T

    Container object.

  - ##### property: string

    Potential contained property of object.

  - ##### value: V

    Potential expected property value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### deepStrictEqual

- deepStrictEqual<T>(actual: T, expected: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:385

  Asserts that actual is deeply strict equal (===) to expected.

  type

    T Type of the objects.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### actual: T

    Actual value.

  - ##### expected: T

    Potential expected value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### doesNotChange

- doesNotChange<T>(modifier: Function, object: T, property: string, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1278

  Asserts that a function does not change the value of a property.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modifier: Function

    Function to run.

  - ##### object: T

    Container object.

  - ##### property: string

    Property of object expected not to be modified.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### doesNotDecrease

- doesNotDecrease<T>(modifier: Function, object: T, property: string, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1322

  Asserts that a function does not decrease an object property.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modifier: Function

    Function to run.

  - ##### object: T

    Container object.

  - ##### property: string

    Property of object expected not to be decreased.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### doesNotHaveAllDeepKeys

- doesNotHaveAllDeepKeys<T>(object: T, keys: Array<Object | string> | object, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1600

  Asserts that `object` contains all of the `keys` provided. Since Sets and Maps can have objects as keys you can use this assertion to perform a deep comparison. You can also provide a single object instead of a `keys` array and its keys will be used as the expected set of keys.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Object to test.

  - ##### keys: Array<Object | string> | object

    Keys to check

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### doesNotHaveAllKeys

- doesNotHaveAllKeys<T>(object: T, keys: Array<Object | string> | object, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1530

  Asserts that `object` does not have at least one of the `keys` provided. You can also provide a single object instead of a `keys` array and its keys will be used as the expected set of keys.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Object to test.

  - ##### keys: Array<Object | string> | object

    Keys to check

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### doesNotHaveAnyDeepKeys

- doesNotHaveAnyDeepKeys<T>(object: T, keys: Array<Object | string> | object, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1586

  Asserts that `object` contains all of the `keys` provided. Since Sets and Maps can have objects as keys you can use this assertion to perform a deep comparison. You can also provide a single object instead of a `keys` array and its keys will be used as the expected set of keys.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Object to test.

  - ##### keys: Array<Object | string> | object

    Keys to check

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### doesNotHaveAnyKeys

- doesNotHaveAnyKeys<T>(object: T, keys: Array<Object | string> | object, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1518

  Asserts that `object` has none of the `keys` provided. You can also provide a single object instead of a `keys` array and its keys will be used as the expected set of keys.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Object to test.

  - ##### keys: Array<Object | string> | object

    Keys to check

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### doesNotIncrease

- doesNotIncrease<T>(modifier: Function, object: T, property: string, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1300

  Asserts that a function does not increase an object property.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modifier: Function

    Function to run.

  - ##### object: T

    Container object.

  - ##### property: string

    Property of object expected not to be increased.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### doesNotThrow

- doesNotThrow(fn: Function, message?: undefined | string): void
- doesNotThrow(fn: Function, regExp: RegExp): void
- doesNotThrow(fn: Function, errType: Function, message?: undefined | string): void
- doesNotThrow(fn: Function, errType: Function, regExp: RegExp): void

- - Defined in node_modules/@types/chai/index.d.ts:1058

  Asserts that fn will not throw an error.

  #### Parameters

  - ##### fn: Function

    Function that may throw.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

- - Defined in node_modules/@types/chai/index.d.ts:1067

  Asserts that function will throw an error with message matching regexp.

  #### Parameters

  - ##### fn: Function

    Function that may throw.

  - ##### regExp: RegExp

    Potential expected message match.

  #### Returns void

- - Defined in node_modules/@types/chai/index.d.ts:1076

  Asserts that function will throw an error that is an instance of constructor.

  #### Parameters

  - ##### fn: Function

    Function that may throw.

  - ##### errType: Function

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

- - Defined in node_modules/@types/chai/index.d.ts:1086

  Asserts that function will throw an error that is an instance of constructor and an error with message matching regexp.

  #### Parameters

  - ##### fn: Function

    Function that may throw.

  - ##### errType: Function

  - ##### regExp: RegExp

  #### Returns void

### equal

- equal<T>(actual: T, expected: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:325

  Asserts non-strict equality (==) of actual and expected.

  type

    T Type of the objects.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### actual: T

    Actual value.

  - ##### expected: T

    Potential expected value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### exists

- exists<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:502

  Asserts that the target is neither null nor undefined.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### extensible

- extensible<T>(object: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1351

  Asserts that object is extensible (can have new properties added to it).

  type

    T Type of object

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### fail

- fail<T>(actual?: T, expected?: T, message?: undefined | string, operator?: Operator): void

- - Defined in node_modules/@types/chai/index.d.ts:279

  Throws a failure.

  type

    T Type of the objects.

  remarks

    Node.js assert module-compatible.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### Optional actual: T

    Actual value.

  - ##### Optional expected: T

    Potential expected value.

  - ##### Optional message: undefined | string

    Message to display on error.

  - ##### Optional operator: Operator

    Comparison operator, if not strict equality.

  #### Returns void

### frozen

- frozen<T>(object: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1427

  Asserts that object is frozen (cannot have new properties added to it and its existing properties cannot be removed).

  type

    T Type of object

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### hasAllDeepKeys

- hasAllDeepKeys<T>(object: T, keys: Array<Object | string> | object, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1558

  Asserts that `object` has all and only all of the `keys` provided. Since Sets and Maps can have objects as keys you can use this assertion to perform a deep comparison. You can also provide a single object instead of a `keys` array and its keys will be used as the expected set of keys.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Object to test.

  - ##### keys: Array<Object | string> | object

    Keys to check

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### hasAllKeys

- hasAllKeys<T>(object: T, keys: Array<Object | string> | object, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1494

  Asserts that `object` has all and only all of the `keys` provided. You can also provide a single object instead of a `keys` array and its keys will be used as the expected set of keys.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Object to test.

  - ##### keys: Array<Object | string> | object

    Keys to check

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### hasAnyDeepKeys

- hasAnyDeepKeys<T>(object: T, keys: Array<Object | string> | object, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1544

  Asserts that `object` has at least one of the `keys` provided. Since Sets and Maps can have objects as keys you can use this assertion to perform a deep comparison. You can also provide a single object instead of a `keys` array and its keys will be used as the expected set of keys.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Object to test.

  - ##### keys: Array<Object | string> | object

    Keys to check

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### hasAnyKeys

- hasAnyKeys<T>(object: T, keys: Array<Object | string> | object, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1482

  Asserts that `object` has at least one of the `keys` provided. You can also provide a single object instead of a `keys` array and its keys will be used as the expected set of keys.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Object to test.

  - ##### keys: Array<Object | string> | object

    Keys to check

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### ifError

- ifError<T>(object: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1333

  Asserts if value is not a false value, and throws if it is a true value.

  type

    T Type of object.

  remarks

    This is added to allow for chai to be a drop-in replacement for Node’s assert class.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### include

- include(haystack: string, needle: string, message?: undefined | string): void
- include<T>(haystack: ReadonlyArray<T>, needle: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:689

  Asserts that haystack includes needle.

  #### Parameters

  - ##### haystack: string

    Container string.

  - ##### needle: string

    Potential expected substring of haystack.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

- - Defined in node_modules/@types/chai/index.d.ts:699

  Asserts that haystack includes needle.

  type

    T Type of values in haystack.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### haystack: ReadonlyArray<T>

    Container array.

  - ##### needle: T

    Potential value contained in haystack.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### includeDeepMembers

- includeDeepMembers<T>(superset: T[], subset: T[], message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1246

  Asserts that subset is included in superset using deep equality checking. Order is not take into account.

  type

    T Type of set values.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### superset: T[]

    Actual set of values.

  - ##### subset: T[]

    Potential contained set of values.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### includeDeepOrderedMembers

- includeDeepOrderedMembers<T>(superset: T[], subset: T[], message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1214

  Asserts that subset is included in superset in the same order beginning with the first element in superset. Uses a deep equality check.

  type

    T Type of set values.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### superset: T[]

    Actual set of values.

  - ##### subset: T[]

    Potential contained set of values.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### includeMembers

- includeMembers<T>(superset: T[], subset: T[], message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1235

  Asserts that subset is included in superset. Order is not take into account.

  type

    T Type of set values.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### superset: T[]

    Actual set of values.

  - ##### subset: T[]

    Potential contained set of values.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### includeOrderedMembers

- includeOrderedMembers<T>(superset: T[], subset: T[], message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1192

  Asserts that subset is included in superset in the same order beginning with the first element in superset. Uses a strict equality check (===).

  type

    T Type of set values.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### superset: T[]

    Actual set of values.

  - ##### subset: T[]

    Potential contained set of values.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### increases

- increases<T>(modifier: Function, object: T, property: string, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1289

  Asserts that a function increases an object property.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modifier: Function

    Function to run.

  - ##### object: T

    Container object.

  - ##### property: string

    Property of object expected to be increased.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### instanceOf

- instanceOf<T>(value: T, constructor: Function, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:670

  Asserts that value is an instance of constructor.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### constructor: Function

    Potential expected contructor of value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isAbove

- isAbove(valueToCheck: number, valueToBeAbove: number, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:394

  Asserts valueToCheck is strictly greater than (>) valueToBeAbove.

  #### Parameters

  - ##### valueToCheck: number

    Actual value.

  - ##### valueToBeAbove: number

    Minimum Potential expected value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isArray

- isArray<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:577

  Asserts that value is an array.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isAtLeast

- isAtLeast(valueToCheck: number, valueToBeAtLeast: number, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:403

  Asserts valueToCheck is greater than or equal to (>=) valueToBeAtLeast.

  #### Parameters

  - ##### valueToCheck: number

    Actual value.

  - ##### valueToBeAtLeast: number

    Minimum Potential expected value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isAtMost

- isAtMost(valueToCheck: number, valueToBeAtMost: number, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:421

  Asserts valueToCheck is greater than or equal to (>=) valueToBeAtMost.

  #### Parameters

  - ##### valueToCheck: number

    Actual value.

  - ##### valueToBeAtMost: number

    Minimum Potential expected value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isBelow

- isBelow(valueToCheck: number, valueToBeBelow: number, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:412

  Asserts valueToCheck is strictly less than (<) valueToBeBelow.

  #### Parameters

  - ##### valueToCheck: number

    Actual value.

  - ##### valueToBeBelow: number

    Minimum Potential expected value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isBoolean

- isBoolean<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:631

  Asserts that value is a boolean.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isDefined

- isDefined<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:529

  Asserts that value is not undefined.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isEmpty

- isEmpty<T>(object: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1459

  Asserts that the target does not contain any values. For arrays and strings, it checks the length property. For Map and Set instances, it checks the size property. For non-function objects, it gets the count of own enumerable string keys.

  type

    T Type of object

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isExtensible

- isExtensible<T>(object: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1342

  Asserts that object is extensible (can have new properties added to it).

  type

    T Type of object

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isFalse

- isFalse<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:439

  Asserts that value is false.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isFrozen

- isFrozen<T>(object: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1417

  Asserts that object is frozen (cannot have new properties added to it and its existing properties cannot be removed).

  type

    T Type of object

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isFunction

- isFunction<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:538

  Asserts that value is a function.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isNaN

- isNaN<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:484

  Asserts that value is not null.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isNotArray

- isNotArray<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:586

  Asserts that value is not an array.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isNotBoolean

- isNotBoolean<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:640

  Asserts that value is not a boolean.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isNotEmpty

- isNotEmpty<T>(object: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1470

  Asserts that the target contains values. For arrays and strings, it checks the length property. For Map and Set instances, it checks the size property. For non-function objects, it gets the count of own enumerable string keys.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Object to test.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isNotExtensible

- isNotExtensible<T>(object: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1360

  Asserts that object is not extensible.

  type

    T Type of object

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isNotFalse

- isNotFalse<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:457

  Asserts that value is not false.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isNotFrozen

- isNotFrozen<T>(object: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1437

  Asserts that object is not frozen (cannot have new properties added to it and its existing properties cannot be removed).

  type

    T Type of object

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isNotFunction

- isNotFunction<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:547

  Asserts that value is not a function.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isNotNaN

- isNotNaN<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:493

  Asserts that value is not null.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isNotNull

- isNotNull<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:475

  Asserts that value is not null.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isNotNumber

- isNotNumber<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:622

  Asserts that value is not a number.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isNotObject

- isNotObject<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:568

  Asserts that value is not an object of type 'Object' (as revealed by Object.prototype.toString).

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isNotOk

- isNotOk<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:306

  Asserts that object is falsy.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isNotSealed

- isNotSealed<T>(object: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1398

  Asserts that object is not sealed.

  type

    T Type of object

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isNotString

- isNotString<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:604

  Asserts that value is not a string.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isNotTrue

- isNotTrue<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:448

  Asserts that value is not true.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isNull

- isNull<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:466

  Asserts that value is null.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isNumber

- isNumber<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:613

  Asserts that value is a number.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isObject

- isObject<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:558

  Asserts that value is an object of type 'Object' (as revealed by Object.prototype.toString).

  type

    T Type of value.

  remarks

    The assertion does not match subclassed objects.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isOk

- isOk<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:288

  Asserts that object is truthy.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isSealed

- isSealed<T>(object: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1379

  Asserts that object is sealed (can have new properties added to it and its existing properties cannot be removed).

  type

    T Type of object

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isString

- isString<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:595

  Asserts that value is a string.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isTrue

- isTrue<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:430

  Asserts that value is true.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### isUndefined

- isUndefined<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:520

  Asserts that value is undefined.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### lengthOf

- lengthOf<T>(object: T, length: number, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:951

  Asserts that object has a length property with the expected value.

  type

    T Type of object.

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### object: T

    Container object.

  - ##### length: number

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### match

- match(value: string, regexp: RegExp, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:840

  Asserts that value matches the regular expression regexp.

  #### Parameters

  - ##### value: string

    Actual value.

  - ##### regexp: RegExp

    Potential match of value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### nestedInclude

- nestedInclude(haystack: any, needle: any, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:750

  Asserts that ‘haystack’ includes ‘needle’. Can be used to assert the inclusion of a subset of properties in an object.

  Enables the use of dot- and bracket-notation for referencing nested properties. ‘[]’ and ‘.’ in property names can be escaped using double backslashes.Asserts that ‘haystack’ includes ‘needle’. Can be used to assert the inclusion of a subset of properties in an object. Enables the use of dot- and bracket-notation for referencing nested properties. ‘[]’ and ‘.’ in property names can be escaped using double backslashes.

  #### Parameters

  - ##### haystack: any

  - ##### needle: any

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### nestedProperty

- nestedProperty<T>(object: T, property: string, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1611

  Asserts that object has a direct or inherited property named by property, which can be a string using dot- and bracket-notation for nested reference.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Object to test.

  - ##### property: string

    Property to test.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### nestedPropertyVal

- nestedPropertyVal<T>(object: T, property: string, value: any, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1635

  Asserts that object has a property named by property with value given by value. property can use dot- and bracket-notation for nested reference. Uses a strict equality check (===).

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Object to test.

  - ##### property: string

    Property to test.

  - ##### value: any

    Value to test.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notDeepEqual

- notDeepEqual<T>(actual: T, expected: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:375

  Asserts that actual is not deeply equal (==) to expected.

  type

    T Type of the objects.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### actual: T

    Actual value.

  - ##### expected: T

    Potential expected value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notDeepInclude

- notDeepInclude(haystack: string | ReadonlyArray<any>, needle: any, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:735

  Asserts that haystack does not include needle. Can be used to assert the absence of a value in an array or a subset of properties in an object. Deep equality is used.

  #### Parameters

  - ##### haystack: string | ReadonlyArray<any>

    Container string or array.

  - ##### needle: any

    Potential expected substring of haystack.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notDeepNestedInclude

- notDeepNestedInclude(haystack: any, needle: any, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:795

  Asserts that ‘haystack’ does not include ‘needle’. Can be used to assert the absence of a subset of properties in an object while checking for deep equality.

  Enables the use of dot- and bracket-notation for referencing nested properties. ‘[]’ and ‘.’ in property names can be escaped using double backslashes.Asserts that ‘haystack’ includes ‘needle’. Can be used to assert the inclusion of a subset of properties in an object. Enables the use of dot- and bracket-notation for referencing nested properties. ‘[]’ and ‘.’ in property names can be escaped using double backslashes.

  #### Parameters

  - ##### haystack: any

  - ##### needle: any

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notDeepNestedPropertyVal

- notDeepNestedPropertyVal<T>(object: T, property: string, value: any, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1671

  Asserts that object does not have a property named by property with value given by value. property can use dot- and bracket-notation for nested reference. Uses a deep equality check.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Object to test.

  - ##### property: string

    Property to test.

  - ##### value: any

    Value to test.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notDeepOwnInclude

- notDeepOwnInclude(haystack: any, needle: any, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:831

  Asserts that ‘haystack’ includes ‘needle’. Can be used to assert the absence of a subset of properties in an object while ignoring inherited properties and checking for deep equality.

  #### Parameters

  - ##### haystack: any

  - ##### needle: any

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notDeepProperty

- notDeepProperty<T>(object: T, property: string, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:891

  Asserts that object does not have a property named by property, which can be a string using dot- and bracket-notation for deep reference.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Container object.

  - ##### property: string

    Potential contained property of object.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notEqual

- notEqual<T>(actual: T, expected: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:335

  Asserts non-strict inequality (==) of actual and expected.

  type

    T Type of the objects.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### actual: T

    Actual value.

  - ##### expected: T

    Potential expected value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notExists

- notExists<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:511

  Asserts that the target is either null or undefined.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notExtensible

- notExtensible<T>(object: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1369

  Asserts that object is not extensible.

  type

    T Type of object

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notFrozen

- notFrozen<T>(object: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1447

  Asserts that object is not frozen (cannot have new properties added to it and its existing properties cannot be removed).

  type

    T Type of object

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notInclude

- notInclude(haystack: string | ReadonlyArray<any>, needle: any, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:708

  Asserts that haystack does not include needle.

  #### Parameters

  - ##### haystack: string | ReadonlyArray<any>

    Container string or array.

  - ##### needle: any

    Potential expected substring of haystack.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notIncludeDeepOrderedMembers

- notIncludeDeepOrderedMembers<T>(superset: T[], subset: T[], message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1225

  Asserts that subset isn’t included in superset in the same order beginning with the first element in superset. Uses a deep equality check.

  type

    T Type of set values.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### superset: T[]

    Actual set of values.

  - ##### subset: T[]

    Potential contained set of values.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notIncludeOrderedMembers

- notIncludeOrderedMembers<T>(superset: T[], subset: T[], message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1203

  Asserts that subset isn’t included in superset in the same order beginning with the first element in superset. Uses a strict equality check (===).

  type

    T Type of set values.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### superset: T[]

    Actual set of values.

  - ##### subset: T[]

    Potential contained set of values.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notInstanceOf

- notInstanceOf<T>(value: T, type: Function, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:680

  Asserts that value is not an instance of constructor.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### type: Function

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notMatch

- notMatch(expected: any, regexp: RegExp, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:849

  Asserts that value does not match the regular expression regexp.

  #### Parameters

  - ##### expected: any

  - ##### regexp: RegExp

    Potential match of value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notNestedInclude

- notNestedInclude(haystack: any, needle: any, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:765

  Asserts that ‘haystack’ does not include ‘needle’. Can be used to assert the absence of a subset of properties in an object.

  Enables the use of dot- and bracket-notation for referencing nested properties. ‘[]’ and ‘.’ in property names can be escaped using double backslashes.Asserts that ‘haystack’ includes ‘needle’. Can be used to assert the inclusion of a subset of properties in an object. Enables the use of dot- and bracket-notation for referencing nested properties. ‘[]’ and ‘.’ in property names can be escaped using double backslashes.

  #### Parameters

  - ##### haystack: any

  - ##### needle: any

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notNestedProperty

- notNestedProperty<T>(object: T, property: string, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1623

  Asserts that object does not have a property named by property, which can be a string using dot- and bracket-notation for nested reference. The property cannot exist on the object nor anywhere in its prototype chain.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Object to test.

  - ##### property: string

    Property to test.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notNestedPropertyVal

- notNestedPropertyVal<T>(object: T, property: string, value: any, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1647

  Asserts that object does not have a property named by property with value given by value. property can use dot- and bracket-notation for nested reference. Uses a strict equality check (===).

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Object to test.

  - ##### property: string

    Property to test.

  - ##### value: any

    Value to test.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notOk

- notOk<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:315

  Asserts that object is falsy.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notOwnInclude

- notOwnInclude(haystack: any, needle: any, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:813

  Asserts that ‘haystack’ includes ‘needle’. Can be used to assert the absence of a subset of properties in an object while ignoring inherited properties.

  #### Parameters

  - ##### haystack: any

  - ##### needle: any

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notProperty

- notProperty<T>(object: T, property: string, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:869

  Asserts that object has a property named by property.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Container object.

  - ##### property: string

    Potential contained property of object.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notSameDeepOrderedMembers

- notSameDeepOrderedMembers<T>(set1: T[], set2: T[], message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1181

  Asserts that set1 and set2 don’t have the same members in the same order. Uses a deep equality check.

  type

    T Type of set values.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### set1: T[]

    Actual set of values.

  - ##### set2: T[]

    Potential expected set of values.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notSameOrderedMembers

- notSameOrderedMembers<T>(set1: T[], set2: T[], message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1159

  Asserts that set1 and set2 don’t have the same members in the same order. Uses a strict equality check (===).

  type

    T Type of set values.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### set1: T[]

    Actual set of values.

  - ##### set2: T[]

    Potential expected set of values.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notSealed

- notSealed<T>(object: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1407

  Asserts that object is not sealed.

  type

    T Type of object

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notStrictEqual

- notStrictEqual<T>(actual: T, expected: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:355

  Asserts strict inequality (==) of actual and expected.

  type

    T Type of the objects.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### actual: T

    Actual value.

  - ##### expected: T

    Potential expected value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### notTypeOf

- notTypeOf<T>(value: T, name: string, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:660

  Asserts that value's type is not name, as determined by Object.prototype.toString.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### name: string

    Potential expected type name of value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### ok

- ok<T>(value: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:297

  Asserts that object is truthy.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### oneOf

- oneOf<T>(inList: T, list: T[], message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1256

  Asserts that non-object, non-array value inList appears in the flat array list.

  type

    T Type of list values.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### inList: T

    Value expected to be in the list.

  - ##### list: T[]

    List of values.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### operator

- operator(val1: OperatorComparable, operator: Operator, val2: OperatorComparable, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1096

  Compares two values using operator.

  #### Parameters

  - ##### val1: OperatorComparable

    Left value during comparison.

  - ##### operator: Operator

    Comparison operator.

  - ##### val2: OperatorComparable

    Right value during comparison.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### ownInclude

- ownInclude(haystack: any, needle: any, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:804

  Asserts that ‘haystack’ includes ‘needle’. Can be used to assert the inclusion of a subset of properties in an object while ignoring inherited properties.

  #### Parameters

  - ##### haystack: any

  - ##### needle: any

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### property

- property<T>(object: T, property: string, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:859

  Asserts that object has a property named by property.

  type

    T Type of object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Container object.

  - ##### property: string

    Potential contained property of object.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### propertyNotVal

- propertyNotVal<T, V>(object: T, property: string, value: V, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:915

  Asserts that object has a property named by property with value given by value.

  type

    T Type of object.

  type

    V Type of value.

  #### Type parameters

  - #### T

  - #### V

  #### Parameters

  - ##### object: T

    Container object.

  - ##### property: string

    Potential contained property of object.

  - ##### value: V

    Potential expected property value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### propertyVal

- propertyVal<T, V>(object: T, property: string, value: V, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:903

  Asserts that object has a property named by property with value given by value.

  type

    T Type of object.

  type

    V Type of value.

  #### Type parameters

  - #### T

  - #### V

  #### Parameters

  - ##### object: T

    Container object.

  - ##### property: string

    Potential contained property of object.

  - ##### value: V

    Potential expected property value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### sameDeepMembers

- sameDeepMembers<T>(set1: T[], set2: T[], message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1137

  Asserts that set1 and set2 have the same members using deep equality checking. Order is not take into account.

  type

    T Type of set values.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### set1: T[]

    Actual set of values.

  - ##### set2: T[]

    Potential expected set of values.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### sameDeepOrderedMembers

- sameDeepOrderedMembers<T>(set1: T[], set2: T[], message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1170

  Asserts that set1 and set2 have the same members in the same order. Uses a deep equality check.

  type

    T Type of set values.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### set1: T[]

    Actual set of values.

  - ##### set2: T[]

    Potential expected set of values.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### sameMembers

- sameMembers<T>(set1: T[], set2: T[], message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1126

  Asserts that set1 and set2 have the same members. Order is not take into account.

  type

    T Type of set values.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### set1: T[]

    Actual set of values.

  - ##### set2: T[]

    Potential expected set of values.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### sameOrderedMembers

- sameOrderedMembers<T>(set1: T[], set2: T[], message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1148

  Asserts that set1 and set2 have the same members in the same order. Uses a strict equality check (===).

  type

    T Type of set values.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### set1: T[]

    Actual set of values.

  - ##### set2: T[]

    Potential expected set of values.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### sealed

- sealed<T>(object: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:1389

  Asserts that object is sealed (can have new properties added to it and its existing properties cannot be removed).

  type

    T Type of object

  #### Type parameters

  - #### T

  #### Parameters

  - ##### object: T

    Actual value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### strictEqual

- strictEqual<T>(actual: T, expected: T, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:345

  Asserts strict equality (===) of actual and expected.

  type

    T Type of the objects.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### actual: T

    Actual value.

  - ##### expected: T

    Potential expected value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

### throw

- throw(fn: Function, message?: undefined | string): void
- throw(fn: Function, regExp: RegExp): void
- throw(fn: Function, constructor: Function, message?: undefined | string): void
- throw(fn: Function, constructor: Function, regExp: RegExp): void

- - Defined in node_modules/@types/chai/index.d.ts:959

  Asserts that fn will throw an error.

  #### Parameters

  - ##### fn: Function

    Function that may throw.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

- - Defined in node_modules/@types/chai/index.d.ts:968

  Asserts that function will throw an error with message matching regexp.

  #### Parameters

  - ##### fn: Function

    Function that may throw.

  - ##### regExp: RegExp

    Potential expected message match.

  #### Returns void

- - Defined in node_modules/@types/chai/index.d.ts:977

  Asserts that function will throw an error that is an instance of constructor.

  #### Parameters

  - ##### fn: Function

    Function that may throw.

  - ##### constructor: Function

    Potential expected error constructor.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

- - Defined in node_modules/@types/chai/index.d.ts:987

  Asserts that function will throw an error that is an instance of constructor and an error with message matching regexp.

  #### Parameters

  - ##### fn: Function

    Function that may throw.

  - ##### constructor: Function

    Potential expected error constructor.

  - ##### regExp: RegExp

  #### Returns void

### throws

- throws(fn: Function, message?: undefined | string): void
- throws(fn: Function, errType: RegExp | Function, message?: undefined | string): void
- throws(fn: Function, errType: Function, regExp: RegExp): void

- - Defined in node_modules/@types/chai/index.d.ts:995

  Asserts that fn will throw an error.

  #### Parameters

  - ##### fn: Function

    Function that may throw.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

- - Defined in node_modules/@types/chai/index.d.ts:1004

  Asserts that function will throw an error with message matching regexp.

  #### Parameters

  - ##### fn: Function

    Function that may throw.

  - ##### errType: RegExp | Function

    Potential expected message match or error constructor.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

- - Defined in node_modules/@types/chai/index.d.ts:1014

  Asserts that function will throw an error that is an instance of constructor and an error with message matching regexp.

  #### Parameters

  - ##### fn: Function

    Function that may throw.

  - ##### errType: Function

  - ##### regExp: RegExp

  #### Returns void

### typeOf

- typeOf<T>(value: T, name: string, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:650

  Asserts that value's type is name, as determined by Object.prototype.toString.

  type

    T Type of value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    Actual value.

  - ##### name: string

    Potential expected type name of value.

  - ##### Optional message: undefined | string

    Message to display on error.

  #### Returns void

Generated using TypeDoc